program countries;

{$mode objfpc}{$H+}

uses strutils;

type
	TCountry = record
		Name: string;
		Area: LongInt;
	end;

const
	Belgium: TCountry = (Name: 'Belgium'; Area: 30513);
	Austria: TCountry = (Name: 'Austria'; Area: 83851);
	finland: TCountry = (Name: 'Finland'; Area: 337032);
	Germany: TCountry = (Name: 'Germany'; Area: 356734);

procedure DisplayInfo(aCountry: TCountry);
var barLength: integer;
begin
	with aCountry do
		begin
			barLength := Area div 30000;
			WriteLn(Name:8, Area:7, ' ', DupeString('*', barLength));
		end;
end;

begin
	WriteLn(' Country   Area Relative area');
	WriteLn(' ------- ------ -------------');
	DisplayInfo(Belgium);
	DisplayInfo(Austria);
	DisplayInfo(finland);
	DisplayInfo(Germany);
	{$IFDEF WINDOWS}
	ReadLn;
	{$ENDIF}
end.